Bug 195820 - [iOS] Focus not preserved when switching between tabs
Summary: [iOS] Focus not preserved when switching between tabs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: iPhone / iPad iOS 12
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks: 190571 196031
  Show dependency treegraph
 
Reported: 2019-03-15 14:33 PDT by Daniel Bates
Modified: 2019-03-20 14:33 PDT (History)
4 users (show)

See Also:


Attachments
Patch and tests (7.49 KB, patch)
2019-03-15 15:10 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
To land (7.42 KB, patch)
2019-03-19 11:24 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2019-03-15 14:33:39 PDT
Steps to reproduce:

1. Open a tab with <https://www.wikipedia.org>.
2. Open a tab with <https://www.apple.com>, click the site search icon and type "iPad".
3. Switch to the Wikipedia tab using Command + 1 (or whatever number the Wikipedia tab is).
4. Switch back to the Apple.com tab using Command + 2 (or whatever number the Apple tab is).

The site search field will be defocused and needs to be explicitly focused to be able to type.
Comment 1 Daniel Bates 2019-03-15 14:33:52 PDT
<rdar://problem/43614450>
Comment 2 Daniel Bates 2019-03-15 15:10:15 PDT
Created attachment 364853 [details]
Patch and tests
Comment 3 Brent Fulgham 2019-03-18 21:19:21 PDT
Comment on attachment 364853 [details]
Patch and tests

View in context: https://bugs.webkit.org/attachment.cgi?id=364853&action=review

r=me

> Source/WebKit/ChangeLog:9
> +        Fixes an usability annoyance when using a hardware keyboard; focus is not preserved when switching between tabs.

"a usability"
Comment 4 Daniel Bates 2019-03-19 11:24:34 PDT
Created attachment 365188 [details]
To land
Comment 5 Daniel Bates 2019-03-19 11:25:32 PDT
Committed r243153: <https://trac.webkit.org/changeset/243153>